/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * The series options for the Chart events.
 */
export interface EventSeriesOptions {
    /**
     * The series index.
     */
    index: number;
    /**
     * The series name.
     */
    name: string;
    /**
     * The series visibility.
     */
    visible: boolean;
}
