/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { drawing } from '@progress/kendo-drawing';
/**
 * Represents a series point marker.
 */
export interface SeriesPointMarker {
    /**
     * The point marker options.
     */
    options?: any;
    /**
     * The Drawing element used to draw the series point marker.
     */
    visual?: drawing.Element;
}
