/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * The context for the axis highlight visual function.
 */
export interface AxisNoteContentArgs {
    /**
     * The original data item for the note.
     */
    dataItem: any;
    /**
     * The note text.
     */
    text: string;
    /**
     * The note value.
     */
    value: string;
}
