/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ConfigurationService } from '../../common/configuration.service';
import { CategoryAxisRangeLabels } from '../../common/property-types';
import { CategoryAxisLabelsComponent } from './labels.component';
import * as i0 from "@angular/core";
/**
 * The configuration of the axis date range labels ([see example]({% slug labels_chart_charts %})).
 */
export declare class CategoryAxisRangeLabelsComponent extends CategoryAxisLabelsComponent implements CategoryAxisRangeLabels {
    configurationService: ConfigurationService;
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<CategoryAxisRangeLabelsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CategoryAxisRangeLabelsComponent, "kendo-chart-category-axis-item-range-labels", never, {}, {}, never, never, true, never>;
}
