/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { SankeyBaseEvent } from './sankey-base-event';
/**
 * Arguments for the link-related events of the [`SankeyComponent`]({% slug api_charts_sankeycomponent %}).
 */
export class SankeyLinkEvent extends SankeyBaseEvent {
    /**
     * The dataItem of the related element.
     */
    dataItem;
    /**
     * @hidden
     */
    constructor(e, sender) {
        super(e, sender);
        this.dataItem = e.dataItem;
    }
}
