/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import type { ChartComponent } from '../chart.component';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare abstract class BaseEvent {
    /**
     * The `ChartComponent` that triggered the event.
     */
    sender: ChartComponent;
    /**
     * @hidden
     */
    constructor(sender: ChartComponent);
    static ɵfac: i0.ɵɵFactoryDeclaration<BaseEvent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BaseEvent, never, never, {}, {}, never, never, false, never>;
}
