/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { SankeyEvent } from '@progress/kendo-charts';
import { SankeyComponent } from '../../sankey.component';
import { PreventableEvent } from '@progress/kendo-angular-common';
/**
 * @hidden
 */
export declare class SankeyBaseEvent extends PreventableEvent {
    /**
     * The `SankeyComponent` that triggered the event.
     */
    sender: SankeyComponent;
    /**
     * The original DOM event.
     */
    originalEvent: Event;
    /**
     * @hidden
     */
    constructor(e: SankeyEvent, sender: SankeyComponent);
}
