/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ConfigurationService } from '../../../common/configuration.service';
import { CategoryAxisNotesComponent } from '../../../chart/category-axis-item/notes.component';
import * as i0 from "@angular/core";
/**
 * The configuration of the category axis notes.
 */
export declare class NavigatorCategoryAxisNotesComponent extends CategoryAxisNotesComponent {
    configurationService: ConfigurationService;
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<NavigatorCategoryAxisNotesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NavigatorCategoryAxisNotesComponent, "kendo-chart-navigator-category-axis-notes", never, {}, {}, never, never, true, never>;
}
