/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ConfigurationService } from '../../../common/configuration.service';
import { PanesTitleComponent } from '../../../chart/pane/title.component';
import * as i0 from "@angular/core";
/**
 * The title configuration of the StockChart navigator pane.
 */
export declare class NavigatorPaneTitleComponent extends PanesTitleComponent {
    configurationService: ConfigurationService;
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<NavigatorPaneTitleComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NavigatorPaneTitleComponent, "kendo-chart-navigator-pane-title", never, {}, {}, never, never, true, never>;
}
