/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ConfigurationService } from '../../../common/configuration.service';
import { SeriesErrorBarsComponent } from '../../../chart/series-item/error-bars.component';
import * as i0 from "@angular/core";
/**
 * The error bars of the StockChart navigator series.
 */
export declare class NavigatorSeriesErrorBarsComponent extends SeriesErrorBarsComponent {
    configurationService: ConfigurationService;
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<NavigatorSeriesErrorBarsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NavigatorSeriesErrorBarsComponent, "kendo-chart-navigator-series-item-error-bars", never, {}, {}, never, never, true, never>;
}
