/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ConfigurationService } from '../../../common/configuration.service';
import { SeriesLabelsComponent } from '../../../chart/series-item/labels.component';
import * as i0 from "@angular/core";
/**
 * The label configuration of the StockChart navigator series.
 */
export declare class NavigatorSeriesLabelsComponent extends SeriesLabelsComponent {
    configurationService: ConfigurationService;
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<NavigatorSeriesLabelsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NavigatorSeriesLabelsComponent, "kendo-chart-navigator-series-item-labels", never, {}, {}, never, never, true, never>;
}
