/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ConfigurationService } from '../../../common/configuration.service';
import { SeriesLabelsToComponent } from '../../../chart/series-item/labels.to.component';
import * as i0 from "@angular/core";
/**
 * The `to` label configuration of the StockChart navigator series.
 */
export declare class NavigatorSeriesLabelsToComponent extends SeriesLabelsToComponent {
    configurationService: ConfigurationService;
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<NavigatorSeriesLabelsToComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NavigatorSeriesLabelsToComponent, "kendo-chart-navigator-series-item-labels-to", never, {}, {}, never, never, true, never>;
}
