/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ConfigurationService } from '../../../common/configuration.service';
import { SeriesMarkersComponent } from '../../../chart/series-item/markers.component';
import * as i0 from "@angular/core";
/**
 * The marker configuration of the StockChart navigator series.
 */
export declare class NavigatorSeriesMarkersComponent extends SeriesMarkersComponent {
    configurationService: ConfigurationService;
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<NavigatorSeriesMarkersComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NavigatorSeriesMarkersComponent, "kendo-chart-navigator-series-item-markers", never, {}, {}, never, never, true, never>;
}
