/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ConfigurationService } from '../../../common/configuration.service';
import { SeriesNotesComponent } from '../../../chart/series-item/notes.component';
import * as i0 from "@angular/core";
/**
 * The notes configuration of the StockChart navigator series.
 */
export declare class NavigatorSeriesNotesComponent extends SeriesNotesComponent {
    configurationService: ConfigurationService;
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<NavigatorSeriesNotesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NavigatorSeriesNotesComponent, "kendo-chart-navigator-series-item-notes", never, {}, {}, never, never, true, never>;
}
