/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ConfigurationService } from '../../../common/configuration.service';
import { SeriesOutliersComponent } from '../../../chart/series-item/outliers.component';
import * as i0 from "@angular/core";
/**
 * The outliers configuration of the StockChart navigator series. Applies to mild outliers.
 */
export declare class NavigatorSeriesOutliersComponent extends SeriesOutliersComponent {
    configurationService: ConfigurationService;
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<NavigatorSeriesOutliersComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NavigatorSeriesOutliersComponent, "kendo-chart-navigator-series-item-outliers", never, {}, {}, never, never, true, never>;
}
