/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * The navigator hint content function arguments.
 */
export interface NavigatorHintContentArgs {
    /**
     * The lower boundary of the selected range.
     */
    from?: Date;
    /**
     * The upper boundary of the selected range.
     */
    to?: Date;
}
