/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * The axis range.
 */
export interface AxisRange {
    /**
     * The axis minimum value.
     */
    min: number | Date;
    /**
     * The axis maximum value.
     */
    max: number | Date;
}
