/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * The context for the series note content function.
 */
export interface SeriesNoteContentArgs {
    /**
     * The point category.
     */
    category: any;
    /**
     * The point data item.
     */
    dataItem: any;
    /**
     * The point series.
     */
    series: any;
    /**
     * The point value.
     */
    value: string;
    /**
     * The note text.
     */
    text: string;
}
