/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { LegendEvent } from './legend-event';
/* eslint-disable no-empty */
/**
 * Arguments for the `legendItemLeave` event.
 */
export class LegendItemLeaveEvent extends LegendEvent {
    /**
     * @hidden
     */
    preventDefault() {
        /* noop */
    }
    /**
     * @hidden
     */
    isDefaultPrevented() {
        return false;
    }
}
