/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * The appearance settings for the negative values in the Bubble series.
 */
export interface NegativeBubbleValues {
    /**
     * The color of the negative bubble Chart values.
     */
    color?: string;
    /**
     * If set to `true`, the Chart displays the negative bubbles.
     * By default, the negative bubbles are not displayed.
     */
    visible?: boolean;
}
