/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { LegendLabels } from '../../common/property-types';
/**
 * The configuration options of the inactive legend items.
 */
export interface LegendInactiveItems {
    /**
     * The label configuration of the Chart legend.
     */
    labels?: LegendLabels;
}
