/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Border, DashType } from '../common/property-types';
/**
 * The border options of the tooltip.
 */
export interface TooltipBorder extends Omit<Border, 'dashType'> {
    /**
     * @hidden
     * @deprecated The setting is ignored. Use the `border-style` CSS property instead.
     */
    dashType?: DashType;
}
