/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { SankeyLabel, SankeyTooltipEvent } from '@progress/kendo-charts';
/**
 * The context that is passed to the Sankey diagram Node tooltip template.
 */
export declare class SankeyNodeTooltipTemplateContext {
    /**
     * The node color.
     */
    color: string;
    /**
     * The node label data.
     */
    label: SankeyLabel;
    /**
     * The node value.
     */
    value: number;
    /**
     * @hidden
     */
    constructor(e: SankeyTooltipEvent);
}
