/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ConfigurationService } from '../../../common/configuration.service';
import { CategoryAxisCrosshairComponent } from '../../../chart/category-axis-item/crosshair.component';
import * as i0 from "@angular/core";
/**
 * The configuration options of the crosshair.
 */
export declare class NavigatorCategoryAxisCrosshairComponent extends CategoryAxisCrosshairComponent {
    configurationService: ConfigurationService;
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<NavigatorCategoryAxisCrosshairComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NavigatorCategoryAxisCrosshairComponent, "kendo-chart-navigator-category-axis-crosshair", never, {}, {}, never, never, true, never>;
}
