/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ConfigurationService } from '../../../common/configuration.service';
import { CategoryAxisLabelsComponent } from '../../../chart/category-axis-item/labels.component';
import * as i0 from "@angular/core";
/**
 * The configuration of the axis labels.
 */
export declare class NavigatorCategoryAxisLabelsComponent extends CategoryAxisLabelsComponent {
    configurationService: ConfigurationService;
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<NavigatorCategoryAxisLabelsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NavigatorCategoryAxisLabelsComponent, "kendo-chart-navigator-category-axis-labels", never, {}, {}, never, never, true, never>;
}
