/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ConfigurationService } from '../../../common/configuration.service';
import { CategoryAxisNotesIconComponent } from '../../../chart/category-axis-item/notes.icon.component';
import * as i0 from "@angular/core";
/**
 * The icon of the notes.
 */
export declare class NavigatorCategoryAxisNotesIconComponent extends CategoryAxisNotesIconComponent {
    configurationService: ConfigurationService;
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<NavigatorCategoryAxisNotesIconComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NavigatorCategoryAxisNotesIconComponent, "kendo-chart-navigator-category-axis-notes-icon", never, {}, {}, never, never, true, never>;
}
