/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ConfigurationService } from '../../../common/configuration.service';
import { CategoryAxisNotesLabelComponent } from '../../../chart/category-axis-item/notes.label.component';
import * as i0 from "@angular/core";
/**
 * The label of the notes.
 */
export declare class NavigatorCategoryAxisNotesLabelComponent extends CategoryAxisNotesLabelComponent {
    configurationService: ConfigurationService;
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<NavigatorCategoryAxisNotesLabelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NavigatorCategoryAxisNotesLabelComponent, "kendo-chart-navigator-category-axis-notes-label", never, {}, {}, never, never, true, never>;
}
