/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ConfigurationService } from '../../../common/configuration.service';
import { CategoryAxisTitleComponent } from '../../../chart/category-axis-item/title.component';
import * as i0 from "@angular/core";
/**
 * The title configuration of the navigator category axis.
 */
export declare class NavigatorCategoryAxisTitleComponent extends CategoryAxisTitleComponent {
    configurationService: ConfigurationService;
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<NavigatorCategoryAxisTitleComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NavigatorCategoryAxisTitleComponent, "kendo-chart-navigator-category-axis-title", never, {}, {}, never, never, true, never>;
}
