/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ConfigurationService } from '../../common/configuration.service';
import { PaneComponent } from '../../chart/pane.component';
import * as i0 from "@angular/core";
/**
 * The configuration component of the navigator pane
 * ([see example](slug:overview_stockchart_charts)).
 */
export declare class NavigatorPaneComponent extends PaneComponent {
    protected configurationService: ConfigurationService;
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<NavigatorPaneComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NavigatorPaneComponent, "kendo-chart-navigator-pane", never, {}, {}, never, never, true, never>;
}
