/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ConfigurationService } from '../../../common/configuration.service';
import { SeriesExtremesComponent } from '../../../chart/series-item/extremes.component';
import * as i0 from "@angular/core";
/**
 * The extremes configuration of the StockChart navigator series. Applies to extreme outliers.
 */
export declare class NavigatorSeriesExtremesComponent extends SeriesExtremesComponent {
    configurationService: ConfigurationService;
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<NavigatorSeriesExtremesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NavigatorSeriesExtremesComponent, "kendo-chart-navigator-series-item-extremes", never, {}, {}, never, never, true, never>;
}
