/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ConfigurationService } from '../../../common/configuration.service';
import { SeriesHighlightComponent } from '../../../chart/series-item/highlight.component';
import * as i0 from "@angular/core";
/**
 * The configuration options of the StockChart series highlight.
 */
export declare class NavigatorSeriesHighlightComponent extends SeriesHighlightComponent {
    configurationService: ConfigurationService;
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<NavigatorSeriesHighlightComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NavigatorSeriesHighlightComponent, "kendo-chart-navigator-series-item-highlight", never, {}, {}, never, never, true, never>;
}
