/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ConfigurationService } from '../../../common/configuration.service';
import { SeriesLabelsFromComponent } from '../../../chart/series-item/labels.from.component';
import * as i0 from "@angular/core";
/**
 * The `from` label configuration of the StockChart navigator series.
 */
export declare class NavigatorSeriesLabelsFromComponent extends SeriesLabelsFromComponent {
    configurationService: ConfigurationService;
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<NavigatorSeriesLabelsFromComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NavigatorSeriesLabelsFromComponent, "kendo-chart-navigator-series-item-labels-from", never, {}, {}, never, never, true, never>;
}
