/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ConfigurationService } from '../../../common/configuration.service';
import { SeriesNotesIconComponent } from '../../../chart/series-item/notes.icon.component';
import * as i0 from "@angular/core";
/**
 * The icon of the notes.
 */
export declare class NavigatorSeriesNotesIconComponent extends SeriesNotesIconComponent {
    configurationService: ConfigurationService;
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<NavigatorSeriesNotesIconComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NavigatorSeriesNotesIconComponent, "kendo-chart-navigator-series-item-notes-icon", never, {}, {}, never, never, true, never>;
}
