/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ConfigurationService } from '../../../common/configuration.service';
import { SeriesNotesLabelComponent } from '../../../chart/series-item/notes.label.component';
import * as i0 from "@angular/core";
/**
 * The label of the notes.
 */
export declare class NavigatorSeriesNotesLabelComponent extends SeriesNotesLabelComponent {
    configurationService: ConfigurationService;
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<NavigatorSeriesNotesLabelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NavigatorSeriesNotesLabelComponent, "kendo-chart-navigator-series-item-notes-label", never, {}, {}, never, never, true, never>;
}
